
Infrastructure - Bug #2433

SubjectInfo redaction should be lifted when requesting information about your own account

2012-03-02 23:11 - Ben Leinfelder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: Sprint-2012.07-Block.1.4   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

History

#1 - 2012-03-02 23:13 - Ben Leinfelder

- Category set to d1_identity_manager

- Assignee set to Ben Leinfelder

Only the CN is allowed to see full Person details including email addresses.

We've added an exception to this rule so that Subjects can view their full details if they are the ones requesting them.

But it appears not to be working now. My hunch is that there is an issue with comparing subject DNs...

#2 - 2012-03-04 16:26 - Ben Leinfelder

- Status changed from New to Closed

Added some logging statement to the identity service to debug...redeployed on cn-dev* and it works like a charm -- suspect there were some stale

deployments.

Also noticed a jsp issue in the identity service that has now been addressed.
